Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.constructionheuristic.greedyFit
Class GreedyFitPlanningEntityConfig

    java.lang.Object
      org.optaplanner.core.config.constructionheuristic.greedyFit.GreedyFitPlanningEntityConfig

Deprecated.

    @Deprecated
    public class GreedyFitPlanningEntityConfig

extends Object

Field Summary
`protected Class<?>` | `planningEntityClass` Deprecated.
`protected PlanningEntitySelectionOrder` | `selectionOrder` Deprecated.

Constructor Summary
`GreedyFitPlanningEntityConfig()` Deprecated.

Method Summary
`PlanningEntitySelector` | `buildPlanningEntitySelector(SolutionDescriptor solutionDescriptor)` Deprecated.
`PlanningEntitySelectionOrder` | `getSelectionOrder()` Deprecated.
`void` | `inherit(GreedyFitPlanningEntityConfig inheritedConfig)` Deprecated.
`void` | `setSelectionOrder(PlanningEntitySelectionOrder selectionOrder)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### planningEntityClass

    protected Class<?> planningEntityClass

  Deprecated.

### selectionOrder

    protected PlanningEntitySelectionOrder selectionOrder

  Deprecated.

Constructor Detail

### GreedyFitPlanningEntityConfig

    public GreedyFitPlanningEntityConfig()

  Deprecated.

Method Detail

### getSelectionOrder

    public PlanningEntitySelectionOrder getSelectionOrder()

  Deprecated.

### setSelectionOrder

    public void setSelectionOrder(PlanningEntitySelectionOrder selectionOrder)

  Deprecated.

### buildPlanningEntitySelector

    public PlanningEntitySelector buildPlanningEntitySelector(SolutionDescriptor solutionDescriptor)

  Deprecated.

### inherit

    public void inherit(GreedyFitPlanningEntityConfig inheritedConfig)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.